## csb 11.059-2

=== CMakeLists.txt ===

# ROQUEN - First rough draft 

project(CSBWin)
cmake_minimum_required(VERSION 2.4.0)

set(PACKAGE_NAME    csb)
set(PACKAGE_VERSION 11.1.0)
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_BUGREPORT "some-form-thread-link")
set(CMAKE_INSTALL_PREFIX	"")
set(CMAKE_INSTALL_ALWAYS)
set(CMAKE_MODULE_PATH "./stupidautobuilder")


# Do not allow building at the root of the source tree.
#if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR AND NOT MSVC_IDE)
#  message(FATAL_ERROR "In-source builds are not allowed.
#   CMake would overwrite the files distributed with CSBWin.
#   Please create a directory and run cmake from there, passing the path
#   to this source directory as the last argument.
#   This process created the file `CMakeCache.txt' and the directory `CMakeFiles'.
#   Please delete them.")
#endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR AND NOT MSVC_IDE)


set(CSB_MAIN_SRC_DIR  ${CMAKE_CURRENT_SOURCE_DIR})
set(CSB_BINARY_DIR    ${CMAKE_CURRENT_BINARY_DIR})
set(CMAKE_C_FLAGS     "-g -fsigned-char -O1")
set(CMAKE_CXX_FLAGS   "-g -fsigned-char -O1")
set(CMAKE_LD_FLAGS    -g)


if(WIN32)
  MESSAGE("WIN32")
  if(CYGWIN)
    set(CSB_ON_WIN32 0)
    set(CSB_ON_UNIX  1)
    add_definitions(-D_LINUX)
    MESSAGE("got here")
  else(CYGWIN)
    MESSAGE("got win32")
    set(CSB_ON_WIN32 1)
    set(CSB_ON_UNIX  0)
  endif(CYGWIN)
else(WIN32)
 
  if(UNIX)
    set(CSB_ON_WIN32 0)
    set(CSB_ON_UNIX  1)
    add_definitions(-D_LINUX)
  else(UNIX)
    MESSAGE(SEND_ERROR "Unable to determine platform")
  endif(UNIX)
endif(WIN32)


# BLAH -- 
if(MSVC)
  add_definitions(-D_MSVC_INTEL -D_MIDI -D_MOVIE)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS)
  set(PLATFORM_SRC CSBwin.cpp)
else(MSVC)
  add_definitions(-D_LINUX)
  if(APPLE)
    set(PLATFORM_SRC MacScreen.cpp CSBMac.cpp)
  else(APPLE)
    set(PLATFORM_SRC LinScreen.cpp CSBlinux.cpp LinCSBUI.cpp)
  endif(APPLE)
endif(MSVC)

#if(CSB_USE_SDL)
#  find_path(SDL_PATH)
#endif(CSB_USE_SDL)

# NO! NO! NO! --- mucking around
if (CMAKE_COMPILER_IS_GNUCXX)
   MESSAGE("GCC")
    add_definitions(-D_LINUX)
endif (CMAKE_COMPILER_IS_GNUCXX)

#CSBUICE2002.cpp
#CSBWinCE2002.cpp
#WinScreenCE2002.cpp
#HintCE.cpp
#Win32_SoundMixer.cpp

# The "WIN32" thing is ignored under other OSes
add_executable(CsbWin WIN32
    ${PLATFORM_SRC}
    AsciiDump.cpp
    Attack.cpp
    Bitmaps.cpp
    CSBCode.cpp
    CSBUI.cpp
    Chaos.cpp
    Character.cpp
    Code11f52.cpp
    Code13ea4.cpp
    Code17818.cpp
    Code1f9e6.cpp
    Code222ea.cpp
    Code390e.cpp
    Code51a4.cpp
    Codea59a.cpp
    DSA.cpp
    Graphics.cpp
    Hint.cpp
    Magic.cpp
    Menu.cpp
    Monster.cpp
    Mouse.cpp
    MoveObject.cpp
    NewBugs.cpp
    OldBugs.cpp
    RC4.cpp
	Recording.cpp
    SaveGame.cpp
    SmartDiscard.cpp
    Sound.cpp
    Statistics.cpp
    Stdafx.cpp
    Timer.cpp
    Translation.cpp
    VBL.cpp
    Viewport.cpp
    WinScreen.cpp
    data.cpp
    md5C.cpp
    system.cpp
    utility.cpp
)

if(UNIX)
	FIND_PACKAGE(GTK2)
	if(GTK2_FOUND)
		message("GTK found")
		include_directories(${GTK2_INCLUDE_DIRS})
		target_link_libraries(CsbWin ${GTK2_LIBRARIES})
		#add_definitions(-DUSE_OLD_GTK)
	else(GTK2_FOUND)
		message("no GTK")
	endif(GTK2_FOUND)

	FIND_PACKAGE(SDL REQUIRED)
	if(SDL_FOUND)
		message("SDL found")
		include_directories(${SDL_INCLUDE_DIRS})
		target_link_libraries(CsbWin ${SDL_LIBRARIES})
	else(SDL_FOUND)
		message(FATAL_ERROR "libSDL is required")
	endif(SDL_FOUND)

	FIND_PACKAGE(SDL_mixer)
	if(SDLMIXER_FOUND)
		message("SDL mixer found")
		include_directories(${SDLMIXER_INCLUDE_DIR})
		target_link_libraries(CsbWin ${SDLMIXER_LIBRARY})
		add_definitions(-DSOUND__SDLMIXER)
	endif(SDLMIXER_FOUND)

	INSTALL_TARGETS(/opt/csb CsbWin)
	INSTALL_FILES(/opt/csb FILES extra/csb_readme.txt extra/config.linux)
	INSTALL_FILES(/usr/share/applications/hildon FILES extra/csb_dm.desktop extra/csb_csb.desktop extra/csb_conflux.desktop)
	INSTALL_FILES(/usr/share/pixmaps FILES extra/csb_dm.png extra/csb_csb.png extra/csb_conflux3.png)
endif(UNIX)

if (CSB_ON_WIN32)
  target_link_libraries(CsbWin winmm.lib)
endif(CSB_ON_WIN32)

## csb 11.059-1

=== debian/changelog ===
csb (11.059-1) unstable; urgency=low

  * Initial release

 -- trompkins <maciej.stankiewicz@gmail.com>  Wed, 17 Aug 2011 04:31:13 +0100

=== debian/control ===
Source: csb
Section: user/games
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), cmake, libatk1.0-dev, libcairo2-dev, libfreetype6-dev, libglib2.0-dev, libgtk2.0-dev, libpango1.0-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.2

Package: csb
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, csb-data
Description: Chaos Strikes Back for N900
 This program is a very exact translation of the original Atari ST program, "Chaos Strikes Back"

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cmake .
	$(MAKE)
	#docbook-to-man debian/csb.sgml > csb.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -f CMakeFiles cmake_install.cmake CMakeCache.txt Makefile

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/csb.
	$(MAKE) DESTDIR=$(CURDIR)/debian/csb install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## csb 11.059-2

=== debian/changelog ===
csb (11.059-2) unstable; urgency=low

  * cosmetic fixes

 -- trompkins <maciej.stankiewicz@gmail.com>  Fri, 19 Aug 2011 22:10:29 +0100

=== debian/control ===
--- 
+++ 
@@ -10,3 +10,33 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, csb-data
 Description: Chaos Strikes Back for N900
  This program is a very exact translation of the original Atari ST program, "Chaos Strikes Back"
+XB-Maemo-Display-Name: Chaos Strikes Back
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
+ AAALEwEAmpwYAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
+ AAAXb5JfxUYAAAQ8SURBVHjaxFntkesgDJRvUgruBYpxXAtxL4FeSC+8P0+e
+ tSxhnDh3zGTm4iOwq2/JQ62Vvr1CCOsl4zju/l9KWf/OOVOtdeg9e/gmgRBC
+ zTkTEZH3XgWvrVJKN5FuAiGE2gJQSqGU0iCB8/Lemxr4hMghAQTunFP3vF6v
+ 3aXW8t6v/48xmufgWpaFiEglYhLoAd4iwpdaa5om82yNiKUNlcD9fq+9wPEy
+ 3s/PWiTYJ3q02iJxsySPB1uqtS51zlFKqbkXzaxXw+M47szzpm2SgB4H5rBq
+ 7r9Z8O9ijDTPs2lCqCFJwjmnCs57T8MwVNbCxoRakYZJMMjWc3TkGCOllDbf
+ pa9giO3R/LIspBIYhqFOAqBGhMHi31YUej6f9Hg8KITQbYpHCwnczv74Pk2m
+ NhD88/mklNIq/aP4f8bnOKe8ReBIAwi8Z2kOLKNZa916L7j/d0YELLURQqBS
+ Src0eZ9GNoSwc2T+jiZ602KtdKg7RBIrIj2WhR6QWTGkynNxj5a5vfeUUqIQ
+ wo4sFn6qE7N98Y9ROuMrk5vihhSDthIPx3y0WybSKjvkfplbuO4yTciy4ZQS
+ jeNIjxjpPs8rcCmZTws5JI2COO3EKKFMRPTK66Evtz/ckqBGkAlpWsBSI6Vk
+ liU/Vsq2Dtaea/v4GZ5VSlk/eNc0TRvCrToJq9m3wujGcV9EwfWHSjQB6dTj
+ OG6+s+TZlJigFNZPq3A6sumBiJJwUHmGc25XD+Wcm8VcKYXmed7skQRVAgyE
+ D9SASUlYJCxSsiSQvoGRCZ3fqlhvVqThRCJZa854nyYaFa31lNUY2aTmmYjU
+ IvYDZh7QmMtGBR0Ki0DMsK320or3GJrl75sdmSTQOwrBxGRFJjQHGRK5N0ZN
+ SMlbjf2OAF+mZmKQkLTJltSsRCb7hnme1/4hhHAIXu2JmQReHELYSccag0jp
+ s2lptZDWN2MXxyb61lgFiTAQtG3UEDcr0tmOwLeIYLRrETAT2dqyCSJ8KFaK
+ rbEJ7z9qGbVOsFVfdQ+2JAFUsWza+Tv2uBYIGXG+NpmTJNTpmCApndZy7BYJ
+ LCXeMqFW7O0xNy0hteZCsgHqbUk/KuZaWuixY42YBH4kvJ+rR+qyCelpYmSZ
+ LYu9rxPABKiB7ins1Aaqg8Ttag0geI7/lj9MxjTvzLqcgFX2atUmzn+0we2v
+ Eai1DsMwbN7KYKKTYRKBcwaWiUy2jh/lgbNRqFXRMnjZpVnmdBSFLjch2ftq
+ wyxtwoBa6QV/aRjVLss5k3Nu5xfTNFGMcfeOLKW07u191XppHtAu5cRkvQvD
+ ZoZN68x74ssTWa11QAA5502ZoE2erZHJnxDQtMG1juypsek/Y/e/QkD2uzxC
+ wejD4M/MTH+VAEuTQXNu8N7Tsixrlm69yO655OsfIqr4iTFW7/3m2dtn/wUB
+ BP/x2b9BAIlcCb7WSv8GABxMMz6sNul9AAAAAElFTkSuQmCC
+ ====
